Bug 62317 - Orinoco Wavelan/IEEE 802.11b card should uses orinoco_cs driver
Orinoco Wavelan/IEEE 802.11b card should uses orinoco_cs driver
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-29 12:02 EST by Edmond Hui
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 08:13:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edmond Hui 2002-03-29 12:02:20 EST
Description of Problem:

Orinoco card should used orinoco_cs driver, wvlan_cs is no longer supported and
outdated

Version-Release number of selected component (if applicable):

kernel-pcmcia-cs-3.1.27-12

How Reproducible:

insert a orinoco card to a laptop, the wlan_cs driver is loaded by pcmcia

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:

lsmod list wvlan_cs is loaded

Expected Results:

With orinoco_cs setup, lsmod should show orinoco_cs is loaded

Additional Information:

To correct the problem, modify /etc/pcmcia/config as shown:
	
card "Lucent Technologies WaveLAN/IEEE Adapter" <- Not WaveLAN Adaptor, which is
the old version of Orinoco that still used wavelan... I believed
  version "Lucent Technologies", "WaveLAN/IEEE"
  bind "orinoco_cs" 
#  bind "wvlan_cs"
Comment 1 Warren Togami 2002-04-01 01:43:53 EST
My SMC 2632 802.11b card with a PRISM2 chipset is also set to wvlan_cs in Red
Hat.  It is completely broken with that driver, but it works with the orinoco_cs
driver (though with 75% packet loss).

card "Intersil PRISM2 11 Mbps Wireless Adapter"
  manfid 0x0156, 0x0002
  bind "wvlan_cs"

Please change to
  bind "orinoco_cs"

If you could also find a solution for my 75% packet loss with orinoco_cs driver,
that would be nice too. =(
Comment 2 Arjan van de Ven 2002-04-01 08:13:27 EST
Ok I made both use orinoco_cs for the next build
Comment 3 Arjan van de Ven 2002-04-05 09:28:40 EST
should be in rawhide now

Note You need to log in before you can comment on or make changes to this bug.